<template>
	<view class="container">
		<uni-card :title="istitle" class="cardBox">
			<uni-list border class="list">
				<uni-list-item v-for="(item, index) in dataList" :key="index" :ellipsis="1" :title="item.typeName" link clickable  @click="listItemBtn(item)" ></uni-list-item>
			</uni-list>
		</uni-card>
	</view>
</template>

<script>
	import request from '../../api/cms.js';
	export default {
		data() {
			return {
				dataList: []
			}
		},
		onShow: function() {},
		async mounted() {
			const res = await request.getsublist({ alias: 'hgjfc' });
			this.dataList = res.data;
		},
		methods: {
			listItemBtn(e) {
				uni.navigateTo({ url: `/pages/property/butler?alias=${e.alias}` });
			}
		}
	}
</script>

<style>
	.container {
		width: 100%;
		height: 100vh;
		overflow-y: auto;
		background-size: 100% 100%;
	}
	.box {
		display: flex;
		flex-wrap: wrap;
	}
	.imgBox {
		width: 30%;
		height: 36vw;
		margin-left: 2.5%;
		margin-top: 5px;
	}
	.imgs {
		display: block;
		width: 100%;
		height: 90%;
		border: 2px solid #CD7F32;
	}
	.name {
		width: 100%;
		display: block;
		text-align: center;
		color: #fff;
	}
	.uni-section {
		background-color: transparent !important;
		margin-top: 20px;
	}
	.uni-section-header {
		padding: 0 10px !important;
	}
	.uni-section__content-title {
		color: #fff !important;
	}
</style>
